Ubuntu 16.04 netboot installation failed during loading of installer component libc6-udeb

Bug #1817358 reported by Marc Michele
118
This bug affects 21 people
Affects Status Importance Assigned to Milestone
debian-installer (Ubuntu)
Undecided
Unassigned

Bug Description

I try to install Ubuntu 16.04 on a Citrix Xenserver. I use http://de.archive.ubuntu.com/ubuntu/ as install url in XenCenter.

On wednesday 20.02.2019 at 18.04 a clock the installation work fine, but now after the change of the mini iso under http://de.archive.ubuntu.com/ubuntu/ubuntu/ubuntu/dists/xenial-updates/main/installer-amd64/current/images/netboot/ the installation failed.

To run in to this bug open XenCenter and choose create new VM and select Template for Ubuntu Xenial 16.04, give it a name and click on next. Under Installation Media choose "Install from URL" and put the url in it. The click next and complete it by selecting storage, cpu and memory.

Then go to console. The installer start, choose language and so on. After enter the second time the user password the installer hang by Detect disks with following error:

          ???????????????????? [!!] Detect disks ?????????????????????
          ? ?
          ? Failed to load installer component ?
          ? Loading libc6-udeb failed for unknown reasons. Aborting. ?
          ? ?
          ? <Go Back> <Continue> ?
          ? ?
          ????????????????????????????????????????????????????????????

It sound like the Bug form 18.04 (https://bugs.launchpad.net/ubuntu/+source/debian-installer/+bug/1753449), but at Moment installation of 18.04 work fine. Only 16.04 crashes.

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in debian-installer (Ubuntu):
status: New → Confirmed
Revision history for this message
Jesse Rhoads (jrhoads80) wrote :

I am seeing the same thing, new in the last couple of days.
This has made it so that we can't build xenial machines via netboot+preseed anymore.

The problem I am observing is that I can begin the preseed on an install, and it downloads packages, but when it gets to libc6-udeb it results in a seg fault 18's error 4 on libc-2.23.so
Once it hits this, busybox can't open a shell, and the box can't spawn anything further.

Revision history for this message
Tom Reynolds (tomreyn) wrote :

Marc also reported on IRC (#ubuntu, 2018-02-22 ~17:20 UTC) that this report refers to the mini.iso with MD5SUM ed2bbe59e5dac40b92e0ddeb6b206ef8
While Marc uses Xen, Jesse uses a different HV technology.

Marc also stated this (paraphrased, de-localized):
I tested this on 3 Xenserver pools in 3 different datacenters [and was able to reproduce it on all of them].
My last working install was on 2019-02-20 17:04 UTC using, I think, http://de.archive.ubuntu.com/ubuntu/ubuntu/ubuntu/dists/xenial-updates/main/installer-amd64/20101020ubuntu451.27/images/netboot/mini.iso
Providing the installer with a different archive mirror did not work around this issue.

Revision history for this message
Joel DeTeves (fg-joel) wrote :

We are having this exact problem with a regular PXE boot as well (not using Xen).

As mentioned by previous posters, 18.04 still works but 16.04 stopped working as soon as this bug was introduced.

Revision history for this message
Billy Wayne Britt (nikaido86) wrote :

Same problem for us too on 16.04 through PXE. We get the error right after it starts gathering the installer packages. 14.04 installer is also getting an error. 18.04 works fine.

Revision history for this message
Will Nilges (wilnil) wrote :

I'm getting the same problem on a machine as well. Since it failed on 'Detect Disks,' I tried swapping my hard drive, to no avail.

Revision history for this message
spidey (webcraaawler) wrote :

Updating to the latest netboot binaries solved the problem for me

Revision history for this message
buntix (buntix) wrote :

@spidy
which one? please can you provide link

Revision history for this message
Billy Wayne Britt (nikaido86) wrote :

Tried using the methods to correct the issue in the duplicate bug page. Tried using the initrd.gz & linux files from both xenial-updates and xenial-proposed and I still get the same "Loading libc6-udeb failed for unknown reasons" error.

Revision history for this message
buntix (buntix) wrote :
Revision history for this message
Trefex (trefex) wrote :

The proposed fix from buntix seems to work for us too on Ubuntu 16

Revision history for this message
Atanas Stoyanov (amorphinator) wrote :

Hi,

The proposed fix in #10 works for us as well.

Revision history for this message
Simon Almgren (almgrens) wrote :

Hi,

The proposed fix in #10 works for us as well. Thanks!

Revision history for this message
Alexander Varejão (alexander-digirati) wrote :

The proposed fix in #10 not work to me

????????????????????????????????????????????????????????????
? Loading libc6-udeb failed for unknown reasons. Aborting
????????????????????????????????????????????????????????????

Revision history for this message
Lukasz (luksky2) wrote :

I still get this error too

Revision history for this message
Lukasz (luksky2) wrote :

In attachment there is screenshot of error

Revision history for this message
HC Conan (hconan) wrote :

The proposed fix in #10 does not work for me either.
See the attached error.

Revision history for this message
Derekk (xnaveira) wrote :

I get the same error as @hconan above, is it possible that the installer and the packages are misaligned? When is the new installer going to be released as a part of the regular updates?

Revision history for this message
Christian Tucker (smph3) wrote :

Apologies for the noobish question could anyone be kind enough to explain how to apply the fix?

I have inherited a pxe boot system at work that tries to install ubuntu 16 ltsb and I am experiencing the same error.

At the moment syslinux is using a version of init.gz and vmlinuz that has worked previously. If I replace these files with the ones from #10 is thay the fix that is working for people?

Any help would be very much appreciated

Revision history for this message
Dave Niewinski (dniewinski) wrote :

Exact same issue on my end

Revision history for this message
Saffi (rsaffi) wrote :

Some time ago I had also posted here[1] that I was affected, but then updating `linux` and `initrd.gz` had solved the issue.

Now it's back and bothering again. So I hereby confirm I am (also) suffering frrom this issue (again).

Revision history for this message
Saffi (rsaffi) wrote :
Revision history for this message
Felix Barbeira (fbarbeira) wrote :

We are also affected. Works on ubuntu18, not on ubuntu16.

Revision history for this message
Florian P (florianpp) wrote :

I use Foreman to provision and deploy Ubuntu 16.04 VMs and I am facing the exact same bug.

Did anyone get a solution for it?

Revision history for this message
Daniel Parra (daniel-parra-v) wrote :

To #19. I think that the solution proposed in #10 implies to modify the netinstaller ISO image (February 21th 2019) by updating the linux and initrd.gz files.

I preferred to make use of a previous build of the netinstaller (January 7th 2019). This one doesn't have this error:

http://archive.ubuntu.com/ubuntu/dists/xenial-updates/main/installer-amd64/20101020ubuntu451.27/images/netboot/mini.iso

Revision history for this message
Omry Yadan (omry) wrote :

For anyone using di-netboot-assistant to generate the tftp dir:

To work around this wonderful bug, edit /etc/di-netboot-assistant/di-sources.list

and change the xenial amd64 line to:

xenial amd64 http://archive.ubuntu.com/ubuntu/dists/xenial-updates/main/installer-amd64/current/images netboot/netboot.tar.gz

Note that the separators are tabs, not spaces.

after that, purge xenial:
di-netboot-assistant purge xenial

and reinstall it:
di-netboot-assistant install xenial

Make sure it downloads from the xenial-update directory (the url above).

Revision history for this message
Ala Eddine (reader101) wrote :

i m still having this issue with Ubuntu 16.04, using foreman as a pxe server.
failed for both xenial , and xenial-updates

Lars Kollstedt (lk-x)
tags: added: xenial
Revision history for this message
Lars Kollstedt (lk-x) wrote :

Hi,

I also ran into this also on xenial. For me also taking the files under xenial-updates instead of xenial (as far as possible) fixed this for me. Thanks to buntix for the hint.

But as the message "for unknown reasons" said, this can happen for different reasons. In my case the libc6-udeb was probably simply newer and incompatible to the initrd and/or installer binaries. And this was fixed by taking the other path with the compatible binaries.

But this message might also have other reasons. The occurence is syncronized because on this date probably the newer version of libc6-udeb for xenial came out.

So I won't mark Bug#1816876 or this one as duplicate, as far as not all people having this two are coming to the same results.

Kind regards,
   Lars

Revision history for this message
Zorlin (zorlin-gmail) wrote :

I am also having this issue with Ubuntu 16.04 using Foreman as a PXE boot server. Works fine with Ubuntu 18.04.2 but wanted to have Ubuntu 16.04 as an option.

Failed for both "xenial" and "xenial-updates" releases.

Revision history for this message
Jags Desai (jagsdesai) wrote :

I can confirm that installation fails for (upcoming) Ubuntu 19.10 Eoan with Mini ISO that was downloaded from:

http://archive.ubuntu.com/ubuntu/dists/eoan/main/installer-amd64/current/images/netboot/

mini.iso 2019-08-29 19:39 72M

sha256sum: B7E8C5AC6ED4C8EE5C6EB6D96060570D3BBDF11CB61DD0561CCE1E6F1EB833FE

Error Message: Failed to load installer component. Loading libc6-udeb failed for unknown reasons. Aborting.

Though I tried NetBoot installation on Sep 09, the latest Mini ISO available was from Aug 29.

On top of the fail installation, I was not able to save debug logs either.

I tried one more time with Mini ISO, but this time I pre-partitioned the VM disk (created EXT4 and SWAP partitions) with another Ubuntu Mate Live 19.10 Sep 09 ISO first (which was working just fine), then booted with NetBoot ISO, though installation still failed with the same error message.

Screenshots (since installer couldn't let me save debug logs):

https://imgur.com/8ZMtfHL

https://imgur.com/WhavJS9

https://imgur.com/UAG4h1p

Thanks, Jags

Revision history for this message
Muhammad Hussein Fattahizadeh (semnanweb) wrote :

Confirm on latest mini iso 16.04.

Revision history for this message
Calvin Judy (calvinj) wrote :

Confirming the same bug on 16.04 via PXE boot.

Revision history for this message
Martin Bergman (martin-devsed) wrote :

Samething in my foreman 1.23 environment.

Revision history for this message
Ale (ale-epfl) wrote :

Confirmed with Ubuntu 16 mini.iso downloaded right now (wanted to use it as a rescue disk). Both boot from a CD-RW and from a USB stick give the same problem. Also tried several mirrors in case it was a faulty mirror.

Revision history for this message
Ale (ale-epfl) wrote :

Just tested with a ISO downloaded on Nov 7th, 2018, inside VirtualBox, booted via PXE: same issue. As far as I remember, in the past I could successfully use this image to install systems. Is this due to a change on one of the packages downloaded by the mini installer?

Revision history for this message
Gary Gatling (gsgatlin) wrote :

Confirming this is still a problem for 16 LTS. Seeing in our foreman environment. foreman 1.22.1. Anyone know if there is a workaround? Is this likely to happen to ubuntu 18 LTS after its gets a bit older?

Revision history for this message
Mélodie (meets) wrote :

Hello,

is the package installed in your versions? https://packages.ubuntu.com/xenial/libc6-udeb

can you type in terminal " sudo apt-cache policy libc6-udeb " (without the quotes) to check?

If it's installed what do you get with "dpkg -L libc6-udeb" ? (Then compare the list of files with the ones you can find in the package you can download from the packages.ubuntu page... just extract the content of the deb in some directory, using file-roller).

Revision history for this message
hehehe (elektromane) wrote :

Hi,
i've stumbled upon this right now with foreman and bionic + xenial via tftp/pxe

I updated the files from
http://archive.ubuntu.com/ubuntu/dists/xenial-updates/main/installer-amd64/current/images/netboot/
and put ldlinux.c32 pxelinux.0 into the tftpboot folder. This solved my problem.

Revision history for this message
Nikolay Mihaylov (nick-mihailov) wrote :

I am experiencing this with Focal's netboot kernel/initrd and mini.iso from march 10th 2020

Revision history for this message
strowi (forums-hasnoname) wrote :

@nik-mihailov are you by any chance testing this in kvm/qemu? What kind of architecture are u using?

Revision history for this message
strowi (forums-hasnoname) wrote :

running into the same issue as soon as a disk is attached to the system (no matter if qemu or bare-metal).

Revision history for this message
Nikolay Mihaylov (nick-mihailov) wrote :

@strowi - I am installing on bare metal Ryzen ThreadRipper 1920X. I was already running 20.04 on the same machine for quite some time but yesterday I hit a problem with updates whereby libcrypt1 has some unsatisfyable dependencies so I decied to install from scratch. Oops! I then tried it in VirtualBox but the problem is the same so I think it's not architecture dependent. I think some packages in the repository are screwed up.

I also tried installing from the daily server ISO from March 14th and there the situations is even wonkier - it cannot install the linux-image package from the ISO because of checksum mismatch. Now hold you socks - the SHA-512 sum is the same but the SHA-256 and MD5 sums are different. What the actual F!

Revision history for this message
deehefem (deehefem) wrote :

Hello. I ran into this exact problem today with a 16.04 kickstart server[1] which has been working fine for over a year. I tried solution above posted by @elektromane however the problem persists. Is there something I'm missing?

[1] https://ostechnix.com/how-to-install-pxe-server-on-ubuntu-16-04/

Revision history for this message
Patel (gp451ly) wrote :

Hello

what a hideous bug.

Seen with KVM on Ubuntu 18.04, trying with this URL:
http://ubuntu.mirrors.ovh.net/ftp.ubuntu.com/ubuntu/dists/xenial/main/installer-amd64

solved with this URL:

http://ubuntu.mirrors.ovh.net/ftp.ubuntu.com/ubuntu/dists/xenial-updates/main/installer-amd64

the real bug is in KVM that should provide tested URLs for main distros (even the Ubuntu distros :)) rather than vaguely handwawing toward the man page and letting unsuspecting users falling in traps like this one.

this bug should be closed however, it is irrelevant now.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers